Delete Lineage
Remove a lineage edge between two entities to delete a data flow relationship while preserving entity metadata using the Collate REST API for lineage graph maintenance.
DELETE
DELETE /v1/lineage/{fromEntity}/{fromId}/{toEntity}/{toId}
Delete Lineage
Remove an existing lineage edge between two entities.The Python examples on this page use the original client (
metadata.ingestion.ometa.ometa_api.OpenMetadata) because SDK 2.0 (metadata.sdk) doesn’t include lineage operations. For more information, see Which Python SDK Should I Use?.Path Parameters
string
required
Entity type of the source (e.g.,
table, dashboard, pipeline).string
required
UUID of the source entity.
string
required
Entity type of the destination (e.g.,
table, dashboard, pipeline).string
required
UUID of the destination entity.
DELETE /v1/lineage/{fromEntity}/{fromId}/{toEntity}/{toId}
Returns
Returns200 OK with no body on successful deletion.